#!/bin/sh

#
# (c) 2001 Jacek Konieczny <jajcus@pld.org.pl>
#
# This script converts all .directory files in current directory a
# and its subdirectories to UTF-8.
#

basedir=`dirname $0`

find . -name ".directory" | while read FILENAME ; do
	mv "$FILENAME" "$FILENAME.bak" && \
	$basedir/2unicode.pl "$FILENAME.bak" > "$FILENAME" && \
	echo "# vi: encoding=utf-8" >> "$FILENAME"
done
